package client_handlers

import (
	"cpone/utils"
	client_mdpanel "cpone/views/client/mdpanel"

	"github.com/labstack/echo/v4"
)

type MdPanelService interface {
}

func NewMdPanelHandler(us MdPanelService) *MdPanelHandler {
	return &MdPanelHandler{
		MdPanelService: us,
	}
}

type MdPanelHandler struct {
	MdPanelService MdPanelService
}

func (uh *MdPanelHandler) ShowMdPanel(c echo.Context) error {
	helo := client_mdpanel.Show()
	return utils.View(c, helo)
}
